<?php

namespace App\Domain\Manga\Domain\Contract\Service;

interface ImageProcessorInterface
{
    /**
     * @throws \Exception
     */
    public function downloadImage(string $imageUrl): string;

    /**
     * @throws \Exception
     */
    public function createThumbnail(string $originalImagePath): string;
}
